ObjectStreamConstants
Date: 2016-06-24

java.io

## Interface ObjectStreamConstants

- All Known Implementing Classes:
    ObjectInputStream, ObjectOutputStream

      public interface ObjectStreamConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `baseWireHandle`
    `static int` | `PROTOCOL_VERSION_1`
    `static int` | `PROTOCOL_VERSION_2`
    `static byte` | `SC_BLOCK_DATA`
    `static byte` | `SC_EXTERNALIZABLE`
    `static byte` | `SC_SERIALIZABLE`
    `static byte` | `SC_WRITE_METHOD`
    `static short` | `STREAM_MAGIC`
    `static short` | `STREAM_VERSION`
    `static SerializablePermission` | `SUBCLASS_IMPLEMENTATION_PERMISSION`
    `static SerializablePermission` | `SUBSTITUTION_PERMISSION`
    `static byte` | `TC_ARRAY`
    `static byte` | `TC_BASE`
    `static byte` | `TC_BLOCKDATA`
    `static byte` | `TC_BLOCKDATALONG`
    `static byte` | `TC_CLASS`
    `static byte` | `TC_CLASSDESC`
    `static byte` | `TC_ENDBLOCKDATA`
    `static byte` | `TC_EXCEPTION`
    `static byte` | `TC_LONGSTRING`
    `static byte` | `TC_MAX`
    `static byte` | `TC_NULL`
    `static byte` | `TC_OBJECT`
    `static byte` | `TC_PROXYCLASSDESC`
    `static byte` | `TC_REFERENCE`
    `static byte` | `TC_RESET`
    `static byte` | `TC_STRING`

- - ### Field Detail

    - #### PROTOCOL_VERSION_1

          static final int PROTOCOL_VERSION_1

      See Also:
        Constant Field Values

    - #### PROTOCOL_VERSION_2

          static final int PROTOCOL_VERSION_2

      See Also:
        Constant Field Values

    - #### SC_BLOCK_DATA

          static final byte SC_BLOCK_DATA

      See Also:
        Constant Field Values

    - #### SC_EXTERNALIZABLE

          static final byte SC_EXTERNALIZABLE

      See Also:
        Constant Field Values

    - #### SC_SERIALIZABLE

          static final byte SC_SERIALIZABLE

      See Also:
        Constant Field Values

    - #### SC_WRITE_METHOD

          static final byte SC_WRITE_METHOD

      See Also:
        Constant Field Values

    - #### STREAM_MAGIC

          static final short STREAM_MAGIC

      See Also:
        Constant Field Values

    - #### STREAM_VERSION

          static final short STREAM_VERSION

      See Also:
        Constant Field Values

    - #### SUBCLASS_IMPLEMENTATION_PERMISSION

          static final SerializablePermission SUBCLASS_IMPLEMENTATION_PERMISSION

    - #### SUBSTITUTION_PERMISSION

          static final SerializablePermission SUBSTITUTION_PERMISSION

    - #### TC_ARRAY

          static final byte TC_ARRAY

      See Also:
        Constant Field Values

    - #### TC_BASE

          static final byte TC_BASE

      See Also:
        Constant Field Values

    - #### TC_BLOCKDATA

          static final byte TC_BLOCKDATA

      See Also:
        Constant Field Values

    - #### TC_BLOCKDATALONG

          static final byte TC_BLOCKDATALONG

      See Also:
        Constant Field Values

    - #### TC_CLASS

          static final byte TC_CLASS

      See Also:
        Constant Field Values

    - #### TC_CLASSDESC

          static final byte TC_CLASSDESC

      See Also:
        Constant Field Values

    - #### TC_ENDBLOCKDATA

          static final byte TC_ENDBLOCKDATA

      See Also:
        Constant Field Values

    - #### TC_EXCEPTION

          static final byte TC_EXCEPTION

      See Also:
        Constant Field Values

    - #### TC_LONGSTRING

          static final byte TC_LONGSTRING

      See Also:
        Constant Field Values

    - #### TC_MAX

          static final byte TC_MAX

      See Also:
        Constant Field Values

    - #### TC_NULL

          static final byte TC_NULL

      See Also:
        Constant Field Values

    - #### TC_OBJECT

          static final byte TC_OBJECT

      See Also:
        Constant Field Values

    - #### TC_PROXYCLASSDESC

          static final byte TC_PROXYCLASSDESC

      See Also:
        Constant Field Values

    - #### TC_REFERENCE

          static final byte TC_REFERENCE

      See Also:
        Constant Field Values

    - #### TC_RESET

          static final byte TC_RESET

      See Also:
        Constant Field Values

    - #### TC_STRING

          static final byte TC_STRING

      See Also:
        Constant Field Values

    - #### baseWireHandle

          static final int baseWireHandle

      See Also:
        Constant Field Values